db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Myrna van Lunteren (JIRA)" <j...@apache.org>
Subject [jira] Commented: (DERBY-4761) javadoc warnings for 10.3 after upgrading to newer (sun) jdk
Date Tue, 03 Aug 2010 23:26:18 GMT

    [ https://issues.apache.org/jira/browse/DERBY-4761?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=12895085#action_12895085
] 

Myrna van Lunteren commented on DERBY-4761:
-------------------------------------------

This has been happening for me with the ibm jvms also - I had until now assumed it was a problem
with the ibm 1.6 jvm.

Note that the build itself appears ok - only the javadoc seems to have trouble.

> javadoc warnings for 10.3 after upgrading to newer (sun) jdk
> ------------------------------------------------------------
>
>                 Key: DERBY-4761
>                 URL: https://issues.apache.org/jira/browse/DERBY-4761
>             Project: Derby
>          Issue Type: Bug
>          Components: Build tools
>    Affects Versions: 10.3.3.0
>         Environment: with sun jdk 1.6 u21 b7
>            Reporter: Myrna van Lunteren
>         Attachments: 103_jdk16u21_javadocerrors.txt
>
>
> I tried to upgrade from an ancient version of the sun jdk to 1.6 u21 b7, but now my javadoc
build for 10.3 (10.3.3.1) has a number of errors re 'generics' usage:
> java\engine\org\apache\derby\iapi\jdbc\BrokeredCallableStatement40.java:303: generics
are 
> not supported in -source 1.4
>   [javadoc] (use -source 5 or higher to enable generics)
>   [javadoc]     public <T> T unwrap(java.lang.Class<T> interfaces) 
>   [javadoc]            ^
> etc.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message